from command_parser.option import Option

class Flag(Option):
    def __init__(self, name: str, default: bool = False, single_char: str | None = None) -> None:
        super(Flag, self).__init__(name, single_char)
        self.value = default

    def apply(self) -> None:
        """
        Toogle the flag
        """
        self.value = not self.value
